# Name-a-toon

A Python library that exists to make generation of toon names slightly easier!

## Installing

To install the latest version of name_a_toon, open your favorite command terminal and use the following command:

```batch
pip install name_a_toon
```

If for whatever reason you are unable to install name_a_toon through pip, you can also install it through the [latest source distribution released on GitHub](https://github.com/Vhou-Atroph/name_a_toon/releases/latest). Download the .whl file and open your favorite command terminal. Navigate to wherever the file was downloaded and run the following command:

```batch
pip install [file]
```

## Usage

The primary (and really, only) use for name_a_toon is the naming of Toons using the the phase_3/etc/NameMasterEnglish.txt file. Any similarly formatted file will work just as well.

To access this file, extract phase_3 from the command line using [Panda3d](https://www.panda3d.org):

```batch
multify -xf phase_3.mf
```

After doing this, drag and drop phase_3/etc/NameMasterEnglish.txt into the directory with your Python files. For the rest of this guide, this file will be referred to as names.txt. Your directory should look similar to this:

```none
| names.txt
| nametest.py
```

You can now open your Python file and program! Here's an example program that generates a random toon name:

```python
import name_a_toon

namelist = name_a_toon.NameList.from_file("names.txt")
print(name_a_toon.Name.random(namelist).to_string())
```

![A list of toon names generated by name-a-toon: Claire, Palebee, Duke Palespeed, annd Mr. Crumbleblabber.](https://raw.githubusercontent.com/Vhou-Atroph/name-a-toon/main/tests/example.png)

## License

Code in name_a_toon is licensed under the [MIT License](https://raw.githubusercontent.com/Vhou-Atroph/name-a-toon/main/LICENSE).